GNU Radio 2.x: gr_single_pole_iir< o_type, i_type, tap_type > Class Template Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_single_pole_iir< o_type, i_type, tap_type > Class Template Reference

`#include <gr_single_pole_iir.h>`

List of all members.

## Detailed Description

### template<class o_type, class i_type, class tap_type>
class gr_single_pole_iir< o_type, i_type, tap_type >

class template for single pole IIR filter

## Public Member Functions
| gr_single_pole_iir (tap_type alpha=1.0)
| construct new single pole IIR with given alpha
o_type | filter (const i_type input)
| compute a single output value.
void | filterN (o_type output[], const i_type input[], unsigned long n)
| compute an array of N output values. `input` must have n valid entries.
void | set_taps (tap_type alpha)
| install `alpha` as the current taps.
void | reset ()
| reset state to zero
tap_type | prev_output ()
## Protected Attributes
tap_type | d_alpha
tap_type | d_one_minus_alpha
tap_type | d_prev_output

## Constructor & Destructor Documentation

template<class o_type, class i_type, class tap_type>
gr_single_pole_iir< o_type, i_type, tap_type >::gr_single_pole_iir | ( | tap_type | alpha = `1.0` | ) | `[inline]`

| construct new single pole IIR with given alpha computes y(i) = (1-alpha) * y(i-1) + alpha * x(i)

## Member Function Documentation

template<class o_type, class i_type, class tap_type>
o_type gr_single_pole_iir< o_type, i_type, tap_type >::filter | ( | const i_type | input | ) |

| compute a single output value. Returns: the filtered input value.

template<class o_type, class i_type, class tap_type>
void gr_single_pole_iir< o_type, i_type, tap_type >::filterN | ( | o_type | output[],
|  | const i_type | input[],
|  | unsigned long | n
| ) |

| compute an array of N output values. `input` must have n valid entries.

template<class o_type, class i_type, class tap_type>
tap_type gr_single_pole_iir< o_type, i_type, tap_type >::prev_output | ( |  | ) | `[inline]`

template<class o_type, class i_type, class tap_type>
void gr_single_pole_iir< o_type, i_type, tap_type >::reset | ( |  | ) | `[inline]`

| reset state to zero

template<class o_type, class i_type, class tap_type>
void gr_single_pole_iir< o_type, i_type, tap_type >::set_taps | ( | tap_type | alpha | ) | `[inline]`

| install `alpha` as the current taps.

## Member Data Documentation

template<class o_type, class i_type, class tap_type>
tap_type gr_single_pole_iir< o_type, i_type, tap_type >::d_alpha`[protected]`

template<class o_type, class i_type, class tap_type>
tap_type gr_single_pole_iir< o_type, i_type, tap_type >::d_one_minus_alpha`[protected]`

template<class o_type, class i_type, class tap_type>
tap_type gr_single_pole_iir< o_type, i_type, tap_type >::d_prev_output`[protected]`

The documentation for this class was generated from the following file:

- gr_single_pole_iir.h